Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7844 - Kudzu chokes after change from AIC-7880 to 7890
Summary: Kudzu chokes after change from AIC-7880 to 7890
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-16 16:04 UTC by Jürgen Botz
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-01 23:41:39 UTC


Attachments (Terms of Use)

Description Jürgen Botz 1999-12-16 16:04:49 UTC
I just changed motherboards, and my old Mobo had an on-board AIC-7880 SCSI
controller, the new one had a 7890.  Kudzu detected the difference and
popped up asking me whether I wanted to remove my 7880.  At this point I
was cautious so I said "do nothing".  Then it asked me if I wanted to
configure my 7890 and I said ok and boot continued.  Next reboot it popped
up again asking if I wanted to remove the 7880 so I said yes... now it
"hung".  After a minute or so I rebooted and the system came up... I'm not
100% sure now, but I think it asked me if I wanted the skip the hardware
detection?  Anyway, I looked in the /etc/sysconfig/hwconf file and both the
7880 and 7890 were listed.  So I ran kudzu manually and it hung.  "top"
showed that it was using rapidly increasing amounts of memory... after
about 30 seconds it had grown to 500MB (I have 256MB RAM and a gig of
swap).

I killed kudzu, manually removed the 7880 from /etc/sysconfig/hwconf and
re-ran it and it seemed fine.

Comment 1 Bill Nottingham 1999-12-16 17:00:59 UTC
Ooh, that's not good. Will try and duplicate it here.

Comment 2 Bill Nottingham 2000-02-01 23:41:59 UTC
This is fixed iwth the kudzu currently in raw hide.


Note You need to log in before you can comment on or make changes to this bug.